%define	oname FreeFileSync
%define sname RealTimeSync

Summary:	A free file sync tool
Name:		freefilesync
Version:	10.5
Release:	%mkrel 1
Group:		File tools
License:	GPLv3
URL:		https://www.freefilesync.org/
#Using debian binary
Source0:	FreeFileSync_%{version}_Linux_32-bit.tar.gz
Source1:    icons.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   libpng16_16

%description
FreeFileSync is a folder comparison and synchronization tool.

%prep
%setup -qn %{oname}


%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%{_bindir}
cp {%oname,%sname} %{buildroot}/%{_bindir}
install -dm 755 %{buildroot}/%{_datadir}/%{oname}
cp -r {Languages,*.wav,CHANGELOG,*.zip} %{buildroot}/%{_datadir}/%{oname}

# menu-icons
install -dm 755 %{buildroot}/%{_datadir}/pixmaps
unxz -c %{SOURCE1} | tar xf - -C %{buildroot}/%{_datadir}/pixmaps


# menu-entry1
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=FreeFileSync
Comment=Folder comparison and synchronization tool.
Exec=%{oname}
Icon=%{name}
Categories=GTK;X-MandrivaLinux-System-FileTools;
EOF

# menu-entry2
cat > %{buildroot}%{_datadir}/applications/realtimesync.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=RealTimeSync
Comment=Automated synchronization tool.
Exec=%{sname}
Icon=realtimesync
Categories=GTK;X-MandrivaLinux-System-FileTools;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR

%files
%defattr(-,root,root)
%{_bindir}/%{oname}
%{_bindir}/%{sname}
%{_datadir}/%{oname}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/realtimesync.desktop


%changelog
* Thu Nov 08 2018 adrianomorselli <adrianomorselli> 10.5-1uplos2018
- update
